/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, AfterViewInit } from '@angular/core';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';
import { MatTableDataSource } from '@angular/material/table';
import { ProgressSpinnerService } from '../../../_messages/progress-spinner.service';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
interface RepeatingStructuresProps {
    referenceList?: any[];
    rowClickAction?: string;
}
export declare class RepeatingStructuresComponent implements OnInit, AfterViewInit {
    private psService;
    private utils;
    paginator: MatPaginator;
    sort: MatSort;
    pConn$: typeof PConnect;
    configProps$: RepeatingStructuresProps;
    repeatList$: MatTableDataSource<any>;
    fields$: any[];
    displayedColumns$: string[];
    constructor(psService: ProgressSpinnerService, utils: Utils);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    applySearch(event: Event): void;
    rowClick(row: any): void;
    updateData(listData: any[], fieldData: any[]): any[];
    openAssignment(row: any): void;
    initializeData(data: any): any;
    getType(field: any): any;
    initializeColumns(fields?: never[]): any[];
    getDisplayColumns(fields?: any[]): string[];
    static ɵfac: i0.ɵɵFactoryDeclaration<RepeatingStructuresComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RepeatingStructuresComponent, "app-repeating-structures", never, { "pConn$": { "alias": "pConn$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
